Subject: Re: [mobile-ip] Mipv6 issue #160: HA discovery single address (was:ADreview comments)

From: Jari Arkko <[email-masked]>
Date: Fri, 07 Feb 2003 16:05:21 +0200

Erik Nordmark wrote:
>>       Home Agent Addresses
>>
>>          A list of addresses of home agents on the home link for the
>>          mobile node.  The number of addresses present in the list is
>>          indicated by the  If the IPv6 packet carrying
>>	 this message contains data beyond the indicated number of
>>	 addresses, that data MUST be initialized to zero by the sender
>>	 and MUST be ignored by the receiver.
>>
> 
> 
> I don't know if this text is going into draft 20, but I have a nit.
> 
> Having extra data initialized to zero doesn't make sense.
> How about instead saying 
> 	A sender MUST only send a packet with a length
> 	that is indicated by the No of Addrs field, and that a receiver MUST 
> 	ignore anything beyond the part of the packet indicated by
> 	the No of Addrs field. (This allows for future extensibility using
> 	the reserved field to indicate that there is some new information
> 	past the part of the packet indicated by the No of Addrs field.)

Given the resolution of issue #160, we ended up *not* using my text
with the extra space after the addresses. Therefore, no modifications
are needed.

Jari